Bug 1002792 - Unhandled exception: Uploading an invalid .pot will result in WebApplicationException
Unhandled exception: Uploading an invalid .pot will result in WebApplicationE...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.3
Assigned To: Patrick Huang
Zanata-QA Mailling List
:
Depends On:
Blocks: 994362
  Show dependency treegraph
 
Reported: 2013-08-29 22:53 EDT by Damian Jansen
Modified: 2014-03-20 01:47 EDT (History)
2 users (show)

See Also:
Fixed In Version: 3.3.0-SNAPSHOT (20140218-0947)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-20 01:47:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test .pot file with duplicate msgid (232 bytes, application/vnd.ms-powerpoint)
2013-08-29 22:53 EDT, Damian Jansen
no flags Details

  None (edit)
Description Damian Jansen 2013-08-29 22:53:43 EDT
Created attachment 791991 [details]
Test .pot file with duplicate msgid

Description of problem:
If the user attempts to upload a .pot that will fail, the javax.ws.rs.WebApplicationException at org.zanata.rest.service.ResourceUtils.transferFromTextFlows(ResourceUtils.java:158) [classes:] will occur.

Version-Release number of selected component (if applicable):
3.0

How reproducible:
Easy always

Steps to Reproduce:
1. Download the attached test.pot
2. As an admin/maintainer go to a project->project version->Source documents
3. Press Upload Document and navigate to the .pot file
4. Press Upload

Actual results:
"An unexpected error has occurred. Please report this problem with details of what you were attempting."
javax.ws.rs.WebApplicationException
at
org.zanata.rest.service.ResourceUtils.transferFromTextFlows(ResourceUtils.java:158) [classes:]

Expected results:
It should say what happened and, if at all possible, why. e.g. (Duplicate msgid detected)

Additional info:
Comment 1 Patrick Huang 2014-02-12 00:16:36 EST
https://github.com/zanata/zanata-server/pull/373
Comment 2 Damian Jansen 2014-02-18 20:53:36 EST
Verified at 1bf60cc19d6941929f586c3e8d62390fbb41644d
Comment 3 Sean Flanigan 2014-03-20 01:47:09 EDT
Closing VERIFIED bugs for Zanata server 3.3.2.

Note You need to log in before you can comment on or make changes to this bug.